# Open Meteo CLI

CLI to extract meteorology data from Open Meteo.

## Usage

The Open Meteo CLI allows you to retrieve weather data for specific coordinates.

### Current Weather

Get the current weather for a given coordinate.

```plaintext
open-meteo current-weather [OPTIONS] --latitude <LATITUDE> --longitude <LONGITUDE>
```

#### Options

- `-l, --latitude <LATITUDE>`: Latitude as a decimal number.
- `-L, --longitude <LONGITUDE>`: Longitude as a decimal number.
- `-a, --all`: Prints all available parameters.
- `-d, --is-day`: Prints if it is day or night.
- `-t, --temperature`: Prints the decimal temperature.
- `-w, --windspeed`: Prints the decimal wind speed.
- `-W, --winddirection`: Prints the wind direction angle.
- `-c, --clean`: Cleans the output and only shows the values separated by commas. The order of values is as follows: is_day, temperature, windspeed, winddirection. Example output: `1,22.4,12.5,170.0`.

## Attribution

The weather data used in this application is provided by [Open-Meteo.com](https://open-meteo.com/) under the [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) license. We would like to express our gratitude to Open-Meteo.com for their contribution to this project.
